## GeditMessage GeditMessage — message bus message object |

## Functions

const gchar * | gedit_message_get_object_path ()
const gchar * | gedit_message_get_method ()

## Properties

gchar * | method | Read / Write / Construct
gchar * | object-path | Read / Write / Construct

## Types and Values

struct | GeditMessage

## Object Hierarchy

        GObject
        ╰── GeditMessage

## Includes

    #include <gedit/gedit-message.h>

## Description

Communication on a GeditMessageBus is done through messages. Messages are sent over the bus and received by connecting callbacks on the message bus. A GeditMessage is an instantiation of a GeditMessageType, containing values for the arguments as specified in the message type.

A message can be seen as a method call, or signal emission depending on who is the sender and who is the receiver. There is no explicit distinction between methods and signals.

## Functions

### gedit_message_get_object_path ()

    const gchar *
    gedit_message_get_object_path (GeditMessage *message);

Get the message object path.

#### Parameters

message | the GeditMessage |

#### Returns

the message object path

### gedit_message_get_method ()

    const gchar *
    gedit_message_get_method (GeditMessage *message);

Get the message method.

#### Parameters

message | the GeditMessage |

#### Returns

the message method

## Types and Values

### struct GeditMessage

    struct GeditMessage;

## Property Details

### The `“method”` property

      “method”                   gchar *

The messages method.

Flags: Read / Write / Construct

Default value: NULL

### The `“object-path”` property

      “object-path”              gchar *

The message object path.

Flags: Read / Write / Construct

Default value: NULL